package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbNews;
import org.apache.ibatis.annotations.Mapper;

/**
 * 新闻与活动Mapper接口
 * 
 * @author ruoyi
 * @date 2022-10-25
 */
@Mapper
public interface TbNewsMapper 
{
    /**
     * 查询新闻与活动
     * 
     * @param id 新闻与活动主键
     * @return 新闻与活动
     */
    public TbNews selectTbNewsById(Long id);

    /**
     * 查询新闻与活动列表
     * 
     * @param tbNews 新闻与活动
     * @return 新闻与活动集合
     */
    public List<TbNews> selectTbNewsList(TbNews tbNews);

    /**
     * 新增新闻与活动
     * 
     * @param tbNews 新闻与活动
     * @return 结果
     */
    public int insertTbNews(TbNews tbNews);

    /**
     * 修改新闻与活动
     * 
     * @param tbNews 新闻与活动
     * @return 结果
     */
    public int updateTbNews(TbNews tbNews);

    /**
     * 删除新闻与活动
     * 
     * @param id 新闻与活动主键
     * @return 结果
     */
    public int deleteTbNewsById(Long id);

    /**
     * 批量删除新闻与活动
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbNewsByIds(String[] ids);
}
